
QGIS Application - Bug report #7474

Topology checker: QGIS crash on exit, after activating the topology checker panel

2013-03-29 10:45 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 16427

Description

Just tested on Windows/osgeo4w waiting for a a Ubuntu build.

Open QGIS, activate the topology checker panel (close the panel, or not).

Close QGIS, the main window will close

After a few seconds a message will pop up saying that qgis has crashed.

Does not happen if the TC panel is not activated.

Associated revisions

Revision d87eb2aa - 2013-04-13 08:32 PM - Werner Macho

Merge pull request #525 from vinayan/fix7474

Fix #7474 - Topology checker: QGIS crash on exit, after activating the topology checker panel

History

#1 - 2013-03-29 04:46 PM - Giovanni Manghi

same on Linux (seg fault).

#2 - 2013-04-13 11:32 AM - Werner Macho

- Status changed from Open to Closed

Fixed in changeset commit:"d87eb2aadcbdeb1aacb0d7cc683eec3eae597d74".
